Subject: Re: bug#59662: 29.0.50; [PATCH] Add treesit--indent-defun

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Dec 2022 16:09:09 +0200

> From: Theodor Thornhill <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> Date: Fri, 09 Dec 2022 22:09:10 +0100
> 
> Something like the patch below?  Forgive me, but my texinfo-fu is
> limited.

You have nothing to worry in that department.

> I'm a little unsure if I xrefed to the correct nodes.  Maybe
> it is better to just mention 'beginning-of-defun' rather than the
> variable 'beginning-of-defun-function'?

I meant a reference to where beginning-of-defun-function is mentioned,
and that is in the ELisp manual.  You can see examples of how to
reference another manual in many places in doc/emacs/*.texi; seartch
for "elisp".

> >> +(defun prog-fill-reindent-defun (&optional argument)
> >> +  "Refill paragraph or reindent the definition that the point is on.
> >> +
> >> +If the point is in a string, or in a comment, or there is a
> >> +comment on the current line, fill the paragraph that the point is
> >> +in or is on the same line.
> >
> > I don't understand the difference between "point is in a string, or in
> > a comment" and "there is a comment on the current line".  
> >
> >> +Otherwise, reindent the definition around or below point."
> >
> > Likewise this one is confusing.
> 
> I'm not sure how to word this differently, but I agree it's a mouthful.

If you explain to me in plain English what you meant, I can suggest a
better wording.

Thanks.